%define pngver 1.2.16

Name:		petitboot
Version:	0.0.1
Release:	7%{?dist}
Summary:	Graphical kexec-based bootloader, originally for PlayStation 3

Group:		System Environment/Base
License:	GPLv2+
URL:		http://ozlabs.org/~jk/projects/petitboot/
Source0:	http://ozlabs.org/~jk/projects/petitboot/downloads/%{name}-%{version}.tar.gz
Source1:	petitboot-init
Source2:	getctty.c
Source3:	ftp://ftp.simplesystems.org/pub/png/src/libpng-%{pngver}.tar.bz2

Patch0:		petitboot-0.0.1-artwork-not-executable.patch
Patch1:		petitboot-0.0.1-defaults.patch
Patch2:		petitboot-0.0.1-makefile.patch
Patch3:		libpng-1.2.16-minimal.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpng-devel zlib-devel libX11-devel libjpeg-devel
BuildRequires:	freetype-devel libtwin-devel autoconf

%description
Petitboot is a graphical bootloader for the PlayStation 3. It's based
on the existing kboot project, plus the twin windowing system for the
GUI.

%prep
%setup -q -a 3
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp %{SOURCE2} .
pushd libpng-%{pngver}
%patch3 -p1
popd

%build
pushd libpng-%{pngver}
autoconf
./configure --disable-shared --without-floating-point --without-write-support --without-pic --without-libpng-compat --without-binconfigs
make %{?_smp_mflags}
popd
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -I." TWIN_LDFLAGS="-ljpeg -lz %{_libdir}/libtwin.a libpng-1.2.16/.libs/libpng12.a"
gcc ${RPM_OPT_FLAGS} -o getctty getctty.c

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m0755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sbindir}
install -m0755 getctty $RPM_BUILD_ROOT/%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/*
%{_datadir}/petitboot



%changelog
* Wed Aug 22 2007 David Woodhouse <dwmw2@infradead.org> 0.0.1-7
- Update licence

* Wed Aug 22 2007 David Woodhouse <dwmw2@infradead.org> 0.0.1-6
- Rebuild

* Sun Apr  8 2007 David Woodhouse <dwmw2@infradead.org> 0.0.1-5
- Link statically against libtwin and own minimal libpng

* Sat Apr  7 2007 David Woodhouse <dwmw2@infradead.org> 0.0.1-4
- Clean up petitboot-init script, add getctty

* Fri Apr  6 2007 David Woodhouse <dwmw2@infradead.org> 0.0.1-3
- Add script for initrd /sbin/init

* Fri Apr  6 2007 David Woodhouse <dwmw2@infradead.org> 0.0.1-2
- Support unattended boot of 'default' options, with timeout.

* Thu Apr  5 2007 David Woodhouse <dwmw2@infradead.org> 0.0.1-1
- Initial package
